Asset-types
Create asset types
Create asset types
POST
/
asset-types
Create asset types
curl --request POST \
--url https://idalia.app/api/asset-types \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
[
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]
'import requests
url = "https://idalia.app/api/asset-types"
payload = [
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": False
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
updatedBy: '<string>',
sku: '<string>',
notes: '<string>',
length: 123,
width: 123,
height: 123,
mass: 123,
usefulLifeHours: 1,
externalIds: {},
categoryId: '<string>',
isAssembly: false
}
])
};
fetch('https://idalia.app/api/asset-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://idalia.app/api/asset-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'name' => '<string>',
'updatedBy' => '<string>',
'sku' => '<string>',
'notes' => '<string>',
'length' => 123,
'width' => 123,
'height' => 123,
'mass' => 123,
'usefulLifeHours' => 1,
'externalIds' => [
],
'categoryId' => '<string>',
'isAssembly' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://idalia.app/api/asset-types"
payload := strings.NewReader("[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://idalia.app/api/asset-types")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://idalia.app/api/asset-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "Authentication required",
"code": "401"
}{
"error": "Access denied",
"code": "403"
}{
"error": "An unexpected error occurred",
"code": "500"
}Body
application/json
Response
Successful response
⌘I
Create asset types
curl --request POST \
--url https://idalia.app/api/asset-types \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
[
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]
'import requests
url = "https://idalia.app/api/asset-types"
payload = [
{
"name": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": False
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
name: '<string>',
updatedBy: '<string>',
sku: '<string>',
notes: '<string>',
length: 123,
width: 123,
height: 123,
mass: 123,
usefulLifeHours: 1,
externalIds: {},
categoryId: '<string>',
isAssembly: false
}
])
};
fetch('https://idalia.app/api/asset-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://idalia.app/api/asset-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'name' => '<string>',
'updatedBy' => '<string>',
'sku' => '<string>',
'notes' => '<string>',
'length' => 123,
'width' => 123,
'height' => 123,
'mass' => 123,
'usefulLifeHours' => 1,
'externalIds' => [
],
'categoryId' => '<string>',
'isAssembly' => false
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://idalia.app/api/asset-types"
payload := strings.NewReader("[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://idalia.app/api/asset-types")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://idalia.app/api/asset-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"name\": \"<string>\",\n \"updatedBy\": \"<string>\",\n \"sku\": \"<string>\",\n \"notes\": \"<string>\",\n \"length\": 123,\n \"width\": 123,\n \"height\": 123,\n \"mass\": 123,\n \"usefulLifeHours\": 1,\n \"externalIds\": {},\n \"categoryId\": \"<string>\",\n \"isAssembly\": false\n }\n]"
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"createdAt": "<string>",
"name": "<string>",
"updatedAt": "<string>",
"workspaceId": "<string>",
"updatedBy": "<string>",
"sku": "<string>",
"notes": "<string>",
"length": 123,
"width": 123,
"height": 123,
"mass": 123,
"usefulLifeHours": 1,
"externalIds": {},
"categoryId": "<string>",
"isAssembly": false
}
]{
"error": "Invalid request parameters",
"code": "400"
}{
"error": "Authentication required",
"code": "401"
}{
"error": "Access denied",
"code": "403"
}{
"error": "An unexpected error occurred",
"code": "500"
}
